#!/usr/bin/env python
"""
    Start script for the standalone application server.

    @copyright: 2009 PyngPyng:ScottArmitage
    @license: GNU GPL, see COPYING for details.
    
"""

# Standard Python modules -----------------------------------------------------
import sys, os
from wsgiref.simple_server import make_server

# Extension modules -----------------------------------------------------------
from PyngPyng import disbatch_handler

# Script body -----------------------------------------------------------------
if __name__ == '__main__':
    
    # Congifure the WSGI server
    port = 8080
    httpd = make_server('', port, disbatch_handler)
    print "Serving HTTP on port $port..."
    
    # Respond to requests until process is killed
    #httpd.serve_forever()
    
    # Alternative: serve one request, then exit
    httpd.handle_request()
